std_function.h File Reference

Go to the source code of this file.

## Classes

struct | std::__is_location_invariant< _Tp >
class | std::_Function_base
class | std::bad_function_call
class | std::function< _Res(_ArgTypes...)>

## Namespaces

namespace | std
namespace | std::__detail

## Typedefs

template<typename _Fn, typename _Op>
using | std::__function_guide_t

## Enumerations

enum | _Manager_operation { __get_type_info , __get_functor_ptr , __clone_functor , __destroy_functor }

## Functions

template<typename _Fn, typename _Signature = __function_guide_t<_Fn, decltype(&_Fn::operator())>>
| std::function (_Fn) -> function< _Signature >
template<typename _Res, typename... _ArgTypes>
| std::function (_Res(*)(_ArgTypes...)) -> function< _Res(_ArgTypes...)>
template<typename _Res, typename... _Args>
bool | std::operator== (const function< _Res(_Args...)> &__f, nullptr_t) noexcept
template<typename _Res, typename... _Args>
void | std::swap (function< _Res(_Args...)> &__x, function< _Res(_Args...)> &__y) noexcept

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <functional>.

Definition in file std_function.h.